org.gradle.api.artifacts

## Interface ModuleVersionIdentifier

- All Superinterfaces:
    Serializable

      public interface ModuleVersionIdentifier
      extends Serializable

  The identifier of a module version.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGroup()` The group of the module.
    `ModuleIdentifier` | `getModule()` Returns the `ModuleIdentifier` containing the group and the name of this module.
    `String` | `getName()` The name of the module.
    `String` | `getVersion()` The version of the module

- - ### Method Detail

    - #### getVersion

          String getVersion()

      The version of the module
      Returns:
        module version

    - #### getGroup

          String getGroup()

      The group of the module.
      Returns:
        module group

    - #### getName

          String getName()

      The name of the module.
      Returns:
        module name

    - #### getModule

          @Incubating
          ModuleIdentifier getModule()

      Returns the `ModuleIdentifier` containing the group and the name of this module. Contains the same information as `getGroup()` and `getVersion()`
      Returns:
        the module identifier
      Since:
        1.4